Bug 249364 - [new port]: dns/knot3-lib
Summary: [new port]: dns/knot3-lib
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: https://www.knot-resolver.cz/2020-09-...
Keywords:
Depends on: 249363
Blocks: 249365
  Show dependency treegraph
 
Reported: 2020-09-16 10:44 UTC by Leo Vandewoestijne
Modified: 2020-10-04 11:04 UTC (History)
1 user (show)

See Also:
freebsd: maintainer-feedback+


Attachments
knot3-lib v. 3.0.0 (3.28 KB, text/plain)
2020-09-16 10:44 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Vandewoestijne 2020-09-16 10:44:05 UTC
Created attachment 217999 [details]
knot3-lib v. 3.0.0

This shar will create dns/knot3-lib, which is needed for to update dns/knot-resolver

(tested with poudriere against 12.1/amd64)
Comment 1 Kurt Jaeger freebsd_committer 2020-10-04 10:29:47 UTC
Committed, thanks!
Comment 2 commit-hook freebsd_committer 2020-10-04 10:30:23 UTC
A commit references this bug:

Author: pi
Date: Sun Oct  4 10:29:37 UTC 2020
New revision: 551374
URL: https://svnweb.freebsd.org/changeset/ports/551374

Log:
  New port: dns/knot3-lib

  This port allows to install only libknot, which comes along with
  Knot DNS (authoritative), but also is a depency of knot-resolver

  WWW: https://www.knot-dns.cz/

  PR:		249364
  Submitted by:	Leo Vandewoestijne <freebsd@dns.company>
  Relnotes:	https://www.knot-resolver.cz/2020-09-08-knot-resolver-5.1.3.html

Changes:
  head/dns/Makefile
  head/dns/knot3-lib/
  head/dns/knot3-lib/Makefile
  head/dns/knot3-lib/pkg-descr
  head/dns/knot3-lib/pkg-plist
Comment 3 commit-hook freebsd_committer 2020-10-04 11:03:30 UTC
A commit references this bug:

Author: pi
Date: Sun Oct  4 11:03:11 UTC 2020
New revision: 551380
URL: https://svnweb.freebsd.org/changeset/ports/551380

Log:
  dns/knot3-lib: remove for repo-copy

  PR:		249364
  Reported by:	danfe

Changes:
  head/dns/knot3-lib/
Comment 4 commit-hook freebsd_committer 2020-10-04 11:04:31 UTC
A commit references this bug:

Author: pi
Date: Sun Oct  4 11:04:02 UTC 2020
New revision: 551381
URL: https://svnweb.freebsd.org/changeset/ports/551381

Log:
  dns/knot3-lib: re-add using repo-copy

  PR:		249364
  Reported by:	danfe

Changes:
  head/dns/knot3-lib/
  head/dns/knot3-lib/Makefile
  head/dns/knot3-lib/pkg-plist